# Class default

#### Hierarchy (view full)

- SceneBase
  - default

- Defined in src/battle-scene.ts:91

#####
Index

### Constructors

constructor

### Properties

abilityBar
add
anims
arena
arenaBg
arenaBgTransition
arenaEnemy
arenaFlyout
arenaNextEnemy
arenaPlayer
arenaPlayerTransition
battleStyle
bgm
bgmCache
bgmResumeTimer
bgmVolume
biomeWaveText
cache
cameras
candyBar
candyUpgradeDisplay
candyUpgradeNotification
charSprite
children
currentBattle
currentPhase
damageNumberHandler
damageNumbersMode
data
disableMenu
enableMoveInfo
enableRetries
enableTouchControls
enableTutorials
enableVibration
enemyModifierBar
enemyModifiers
eventTarget
events
expGainsSpeed
expParty
experimentalSprites
facebook
field
fieldOverlay
fieldSpritePipeline
fieldUI
fusionPaletteSwaps
game
gameData
gameMode
gameSpeed
hpBarSpeed
infoToggles
input
inputController
lastEnemyTrainer
lastSavePlayTime
lights
load
lockModifierTiers
luckLabelText
luckText
make
masterVolume
matter
modifierBar
modifiers
money
moneyFormat
moneyText
moveAnimations
musicPreference
nextCommandPhaseQueue
offsetGym
party
partyExpBar
pbTray
pbTrayEnemy
phaseQueue
phaseQueuePrepend
phaseQueuePrependSpliceIndex
physics
playTimeTimer
plugins
pokeballCounts
pokemonInfoContainer
registry
renderer
reroll
rexUI
rngCounter
rngOffset
rngSeedOverride
scale
scene
score
scoreText
seVolume
seed
sessionPlayTime
sessionSlotId
showArenaFlyout
showLevelUpStats
showMovesetFlyout
showTimeOfDayWidget
skipSeenDialogues
sound
spritePipeline
spriteSparkleHandler
standbyPhase
sys
textures
time
timeOfDayAnimation
trainer
tweens
ui
uiContainer
uiInputs
uiTheme
waveCycleOffset
waveSeed
windowType

### Methods

addEnemyModifier
addEnemyPokemon
addFaintedEnemyScore
addFieldSprite
addInfoToggle
addModifier
addMoney
addPlayerPokemon
addPokemonIcon
addPokemonSprite
animateMoneyChanged
applyModifier
applyModifiers
applyModifiersInternal
applyShuffledModifiers
cachedFetch
clearEnemyHeldItemModifiers
clearEnemyModifiers
clearPhaseQueue
clearPhaseQueueSplice
create
executeWithSeedOffset
fadeOutBgm
findModifier
findModifiers
findPhase
generateEnemyModifiers
generateRandomBiome
getBgmLoopPoint
getCachedUrl
getCurrentPhase
getEncounterBossSegments
getEnemyField
getEnemyParty
getEnemyPokemon
getField
getGeneratedOffsetGym
getGeneratedWaveCycleOffset
getInfoToggles
getMaxExpLevel
getModifiers
getParty
getPlayerField
getPlayerPokemon
getPokemonById
getSpeciesFormIndex
getStandbyPhase
getWaveMoneyAmount
hasExpSprite
hideEnemyModifierBar
hideFieldOverlay
hideLuckText
initExpSprites
initPokemonSprite
initSession
initStarterColors
initVariantData
isBgmPlaying
launchBattle
loadAtlas
loadBgm
loadImage
loadPokemonAtlas
loadSe
loadSpritesheet
moveBelowOverlay
newArena
newBattle
overridePhase
pauseBgm
playBgm
playSound
playSoundWithoutBgm
populatePhaseQueue
preload
processInfoButton
pushMovePhase
pushPhase
queueMessage
randBattleSeedInt
randomSpecies
removeModifier
removePartyMemberModifiers
reset
resetSeed
resumeBgm
sendTextToBack
setFieldScale
setModifiersVisible
setPhaseQueueSplice
setSeed
shiftPhase
showEnemyModifierBar
showFieldOverlay
toggleInvert
triggerPokemonFormChange
tryRemovePhase
tryReplacePhase
trySpreadPokerus
tryTransferHeldItemModifier
unshiftPhase
update
updateAndShowText
updateBiomeWaveText
updateFieldScale
updateGameInfo
updateModifiers
updateMoneyText
updatePartyForModifiers
updateScoreText
updateSoundVolume
updateUIPositions
validateAchv
validateAchvs
validateVoucher

## Constructors

### constructor

- new default(): default

- #### Returns default

  Overrides SceneBase.constructor

  - Defined in src/battle-scene.ts:243

## Properties

### abilityBar

abilityBar: default

- Defined in src/battle-scene.ts:174

### add

add: GameObjectFactory

The Scene Game Object Factory.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.add

- Defined in node_modules/phaser/types/phaser.d.ts:101257

### anims

anims: AnimationManager

A reference to the global Animation Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.anims

- Defined in node_modules/phaser/types/phaser.d.ts:101208

### arena

arena: Arena

- Defined in src/battle-scene.ts:183

### arenaBg

arenaBg: Sprite

- Defined in src/battle-scene.ts:177

### arenaBgTransition

arenaBgTransition: Sprite

- Defined in src/battle-scene.ts:178

### arenaEnemy

arenaEnemy: ArenaBase

- Defined in src/battle-scene.ts:181

### arenaFlyout

arenaFlyout: default

- Defined in src/battle-scene.ts:202

### arenaNextEnemy

arenaNextEnemy: ArenaBase

- Defined in src/battle-scene.ts:182

### arenaPlayer

arenaPlayer: ArenaBase

- Defined in src/battle-scene.ts:179

### arenaPlayerTransition

arenaPlayerTransition: ArenaBase

- Defined in src/battle-scene.ts:180

### battleStyle

battleStyle: number = 0

Determines the selected battle style.

- 0 = 'Shift'
- 1 = 'Set' - The option to switch the active pokemon at the start of a battle will not display.

- Defined in src/battle-scene.ts:156

### `Private` bgm

bgm: AnySound

- Defined in src/battle-scene.ts:221

### `Private` bgmCache

bgmCache: Set<string> = ...

- Defined in src/battle-scene.ts:223

### `Private` bgmResumeTimer

bgmResumeTimer: TimerEvent

- Defined in src/battle-scene.ts:222

### bgmVolume

bgmVolume: number = 1

- Defined in src/battle-scene.ts:99

### `Private` biomeWaveText

biomeWaveText: Text

Combined Biome and Wave count text

- Defined in src/battle-scene.ts:195

### cache

cache: CacheManager

A reference to the global Cache.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.cache

- Defined in node_modules/phaser/types/phaser.d.ts:101215

### cameras

cameras: CameraManager

The Scene Camera Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.cameras

- Defined in node_modules/phaser/types/phaser.d.ts:101250

### candyBar

candyBar: default

- Defined in src/battle-scene.ts:176

### candyUpgradeDisplay

candyUpgradeDisplay: number = 0

Determines what type of notification is used for Candy Upgrades

- 0 = 'Icon'
- 1 = 'Animation'

- Defined in src/battle-scene.ts:124

### candyUpgradeNotification

candyUpgradeNotification: number = 0

Determines the condition for a notification should be shown for Candy Upgrades

- 0 = 'Off'
- 1 = 'Passives Only'
- 2 = 'On'

- Defined in src/battle-scene.ts:118

### charSprite

charSprite: default

- Defined in src/battle-scene.ts:171

### children

children: DisplayList

The Game Object Display List belonging to this Scene.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.children

- Defined in node_modules/phaser/types/phaser.d.ts:101278

### currentBattle

currentBattle: default

- Defined in src/battle-scene.ts:189

### `Private` currentPhase

currentPhase: Phase

- Defined in src/battle-scene.ts:167

### damageNumberHandler

damageNumberHandler: default

- Defined in src/battle-scene.ts:215

### damageNumbersMode

damageNumbersMode: number = 0

- Defined in src/battle-scene.ts:102

### data

data: DataManager

A Scene specific Data Manager Plugin.

See the `registry` property for the global Data Manager.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.data

- Defined in node_modules/phaser/types/phaser.d.ts:101294

### disableMenu

disableMenu: boolean = false

- Defined in src/battle-scene.ts:158

### enableMoveInfo

enableMoveInfo: boolean = true

- Defined in src/battle-scene.ts:110

### enableRetries

enableRetries: boolean = false

- Defined in src/battle-scene.ts:111

### enableTouchControls

enableTouchControls: boolean = false

- Defined in src/battle-scene.ts:149

### enableTutorials

enableTutorials: boolean = ...

- Defined in src/battle-scene.ts:109

### enableVibration

enableVibration: boolean = false

- Defined in src/battle-scene.ts:150

### `Private` enemyModifierBar

enemyModifierBar: ModifierBar

- Defined in src/battle-scene.ts:201

### `Private` enemyModifiers

enemyModifiers: PersistentModifier []

- Defined in src/battle-scene.ts:206

### `Readonly` eventTarget

eventTarget: EventTarget = ...

Allows subscribers to listen for events

Current Events:

- BattleSceneEventType.MOVE_USED MoveUsedEvent
- BattleSceneEventType.TURN_INIT TurnInitEvent
- BattleSceneEventType.TURN_END TurnEndEvent
- BattleSceneEventType.NEW_ARENA `NewArenaEvent`

- Defined in src/battle-scene.ts:241

### events

events: EventEmitter

A Scene specific Event Emitter.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.events

- Defined in node_modules/phaser/types/phaser.d.ts:101243

### expGainsSpeed

expGainsSpeed: number = 0

- Defined in src/battle-scene.ts:131

### expParty

expParty: ExpNotification = 0

Defines the experience gain display mode.

#### Remarks

The `expParty` can have several modes:

- `0` - Default: The normal experience gain display, nothing changed.
- `1` - Level Up Notification: Displays the level up in the small frame instead of a message.
- `2` - Skip: No level up frame nor message.

Modes `1` and `2` are still compatible with stats display, level up, new move, etc.

#### Default

    0 - Uses the default normal experience gain display.

- Defined in src/battle-scene.ts:146

### experimentalSprites

experimentalSprites: boolean = false

- Defined in src/battle-scene.ts:128

### facebook

facebook: FacebookInstantGamesPlugin

The Facebook Instant Games Plugin.

This property will only be available if defined in the Scene Injection Map, the plugin is installed and configured.

Inherited from SceneBase.facebook

- Defined in node_modules/phaser/types/phaser.d.ts:101343

### field

field: Container

- Defined in src/battle-scene.ts:169

### `Private` fieldOverlay

fieldOverlay: Rectangle

- Defined in src/battle-scene.ts:204

### fieldSpritePipeline

fieldSpritePipeline: default

- Defined in src/battle-scene.ts:218

### fieldUI

fieldUI: Container

- Defined in src/battle-scene.ts:170

### fusionPaletteSwaps

fusionPaletteSwaps: boolean = true

- Defined in src/battle-scene.ts:148

### game

game: Game

A reference to the Phaser.Game instance.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.game

- Defined in node_modules/phaser/types/phaser.d.ts:101201

### gameData

gameData: GameData

- Defined in src/battle-scene.ts:160

### gameMode

gameMode: GameMode

- Defined in src/battle-scene.ts:184

### gameSpeed

gameSpeed: number = 1

- Defined in src/battle-scene.ts:101

### hpBarSpeed

hpBarSpeed: number = 0

- Defined in src/battle-scene.ts:147

### `Private` infoToggles

infoToggles: InfoToggle [] = []

- Defined in src/battle-scene.ts:230

### input

input: InputPlugin

The Scene Input Manager Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.input

- Defined in node_modules/phaser/types/phaser.d.ts:101301

### inputController

inputController: InputsController

- Defined in src/battle-scene.ts:93

### lastEnemyTrainer

lastEnemyTrainer: default

- Defined in src/battle-scene.ts:188

### lastSavePlayTime

lastSavePlayTime: number = null

- Defined in src/battle-scene.ts:97

### lights

lights: LightsManager

The Scene Lights Manager Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.lights

- Defined in node_modules/phaser/types/phaser.d.ts:101285

### load

load: LoaderPlugin

The Scene Loader Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.load

- Defined in node_modules/phaser/types/phaser.d.ts:101308

### lockModifierTiers

lockModifierTiers: boolean

- Defined in src/battle-scene.ts:186

### `Private` luckLabelText

luckLabelText: Text

- Defined in src/battle-scene.ts:198

### `Private` luckText

luckText: Text

- Defined in src/battle-scene.ts:199

### make

make: GameObjectCreator

The Scene Game Object Creator.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.make

- Defined in node_modules/phaser/types/phaser.d.ts:101264

### masterVolume

masterVolume: number = 0.5

- Defined in src/battle-scene.ts:98

### matter

matter: MatterPhysics

The Scene Matter Physics Plugin.

This property will only be available if defined in the Scene Injection Map, the plugin is installed and configured.

Inherited from SceneBase.matter

- Defined in node_modules/phaser/types/phaser.d.ts:101336

### `Private` modifierBar

modifierBar: ModifierBar

- Defined in src/battle-scene.ts:200

### modifiers

modifiers: PersistentModifier []

- Defined in src/battle-scene.ts:205

### money

money: number

- Defined in src/battle-scene.ts:191

### moneyFormat

moneyFormat: MoneyFormat = MoneyFormat.NORMAL

- Defined in src/battle-scene.ts:125

### `Private` moneyText

moneyText: Text

- Defined in src/battle-scene.ts:196

### moveAnimations

moveAnimations: boolean = true

- Defined in src/battle-scene.ts:130

### musicPreference

musicPreference: number = 0

- Defined in src/battle-scene.ts:129

### `Private` nextCommandPhaseQueue

nextCommandPhaseQueue: Phase []

- Defined in src/battle-scene.ts:166

### offsetGym

offsetGym: boolean

- Defined in src/battle-scene.ts:213

### `Private` party

party: PlayerPokemon []

- Defined in src/battle-scene.ts:193

### partyExpBar

partyExpBar: default

- Defined in src/battle-scene.ts:175

### pbTray

pbTray: default

- Defined in src/battle-scene.ts:172

### pbTrayEnemy

pbTrayEnemy: default

- Defined in src/battle-scene.ts:173

### phaseQueue

phaseQueue: Phase []

- Defined in src/battle-scene.ts:163

### `Private` phaseQueuePrepend

phaseQueuePrepend: Phase []

- Defined in src/battle-scene.ts:164

### `Private` phaseQueuePrependSpliceIndex

phaseQueuePrependSpliceIndex: number

- Defined in src/battle-scene.ts:165

### physics

physics: ArcadePhysics

The Scene Arcade Physics Plugin.

This property will only be available if defined in the Scene Injection Map, the plugin is installed and configured.

Inherited from SceneBase.physics

- Defined in node_modules/phaser/types/phaser.d.ts:101329

### `Private` playTimeTimer

playTimeTimer: TimerEvent

- Defined in src/battle-scene.ts:224

### plugins

plugins: PluginManager

A reference to the global Plugin Manager.

The Plugin Manager is a global system that allows plugins to register themselves with it, and can then install those plugins into Scenes as required.

Inherited from SceneBase.plugins

- Defined in node_modules/phaser/types/phaser.d.ts:101358

### pokeballCounts

pokeballCounts: PokeballCounts

- Defined in src/battle-scene.ts:190

### pokemonInfoContainer

pokemonInfoContainer: default

- Defined in src/battle-scene.ts:192

### registry

registry: DataManager

A reference to the global Data Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.registry

- Defined in node_modules/phaser/types/phaser.d.ts:101222

### renderer

renderer: CanvasRenderer | WebGLRenderer

A reference to the renderer instance Phaser is using, either Canvas Renderer or WebGL Renderer.

Inherited from SceneBase.renderer

- Defined in node_modules/phaser/types/phaser.d.ts:101363

### reroll

reroll: boolean = false

- Defined in src/battle-scene.ts:103

### rexUI

rexUI: UIPlugin

- Defined in src/battle-scene.ts:92

### rngCounter

rngCounter: number = 0

- Defined in src/battle-scene.ts:226

### rngOffset

rngOffset: number = 0

- Defined in src/battle-scene.ts:228

### rngSeedOverride

rngSeedOverride: string = ""

- Defined in src/battle-scene.ts:227

### scale

scale: ScaleManager

A reference to the global Scale Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.scale

- Defined in node_modules/phaser/types/phaser.d.ts:101350

### scene

scene: ScenePlugin

A reference to the Scene Manager Plugin.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.scene

- Defined in node_modules/phaser/types/phaser.d.ts:101271

### score

score: number

- Defined in src/battle-scene.ts:185

### `Private` scoreText

scoreText: Text

- Defined in src/battle-scene.ts:197

### seVolume

seVolume: number = 1

- Defined in src/battle-scene.ts:100

### seed

seed: string

- Defined in src/battle-scene.ts:210

### sessionPlayTime

sessionPlayTime: number = null

- Defined in src/battle-scene.ts:96

### sessionSlotId

sessionSlotId: number

- Defined in src/battle-scene.ts:161

### showArenaFlyout

showArenaFlyout: boolean = true

- Defined in src/battle-scene.ts:105

### showLevelUpStats

showLevelUpStats: boolean = true

- Defined in src/battle-scene.ts:108

### showMovesetFlyout

showMovesetFlyout: boolean = true

- Defined in src/battle-scene.ts:104

### showTimeOfDayWidget

showTimeOfDayWidget: boolean = true

- Defined in src/battle-scene.ts:106

### skipSeenDialogues

skipSeenDialogues: boolean = false

- Defined in src/battle-scene.ts:132

### sound

sound: NoAudioSoundManager | HTML5AudioSoundManager | WebAudioSoundManager

A reference to the Sound Manager.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.sound

- Defined in node_modules/phaser/types/phaser.d.ts:101229

### spritePipeline

spritePipeline: default

- Defined in src/battle-scene.ts:219

### `Private` spriteSparkleHandler

spriteSparkleHandler: default

- Defined in src/battle-scene.ts:216

### `Private` standbyPhase

standbyPhase: Phase

- Defined in src/battle-scene.ts:168

### sys

sys: Systems

The Scene Systems. You must never overwrite this property, or all hell will break lose.

Inherited from SceneBase.sys

- Defined in node_modules/phaser/types/phaser.d.ts:101194

### textures

textures: TextureManager

A reference to the Texture Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.textures

- Defined in node_modules/phaser/types/phaser.d.ts:101236

### time

time: Clock

The Scene Time and Clock Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.time

- Defined in node_modules/phaser/types/phaser.d.ts:101315

### timeOfDayAnimation

timeOfDayAnimation: EaseType = EaseType.NONE

- Defined in src/battle-scene.ts:107

### trainer

trainer: Sprite

- Defined in src/battle-scene.ts:187

### tweens

tweens: TweenManager

The Scene Tween Manager Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.tweens

- Defined in node_modules/phaser/types/phaser.d.ts:101322

### ui

ui: default

- Defined in src/battle-scene.ts:208

### uiContainer

uiContainer: Container

- Defined in src/battle-scene.ts:207

### uiInputs

uiInputs: UiInputs

- Defined in src/battle-scene.ts:94

### uiTheme

uiTheme: UiTheme = UiTheme.DEFAULT

- Defined in src/battle-scene.ts:126

### waveCycleOffset

waveCycleOffset: number

- Defined in src/battle-scene.ts:212

### waveSeed

waveSeed: string

- Defined in src/battle-scene.ts:211

### windowType

windowType: number = 0

- Defined in src/battle-scene.ts:127

## Methods

### addEnemyModifier

- addEnemyModifier(modifier, ignoreUpdate?, instant?): Promise<void>

- #### Parameters

  - modifier: PersistentModifier
  - `Optional` ignoreUpdate: boolean
  - `Optional` instant: boolean

  #### Returns Promise<void>

  - Defined in src/battle-scene.ts:2010

### addEnemyPokemon

- addEnemyPokemon(species, level, trainerSlot, boss?, dataSource?, postProcess?): EnemyPokemon

- #### Parameters

  - species: default
  - level: number
  - trainerSlot: TrainerSlot
  - boss: boolean = false
  - `Optional` dataSource: default
  - `Optional` postProcess: ((enemyPokemon) => void)
    - - (enemyPokemon): void

      - #### Parameters

        - enemyPokemon: EnemyPokemon

        #### Returns void

  #### Returns EnemyPokemon

  - Defined in src/battle-scene.ts:736

### addFaintedEnemyScore

- addFaintedEnemyScore(enemy): void

- #### Parameters

  - enemy: EnemyPokemon

  #### Returns void

  - Defined in src/battle-scene.ts:1475

### addFieldSprite

- addFieldSprite(x, y, texture, frame?, terrainColorRatio?): Sprite

- #### Parameters

  - x: number
  - y: number
  - texture: string | Texture
  - `Optional` frame: string | number
  - terrainColorRatio: number = 0

  #### Returns Sprite

  - Defined in src/battle-scene.ts:1312

### addInfoToggle

- addInfoToggle(infoToggle): void

- #### Parameters

  - infoToggle: InfoToggle

  #### Returns void

  - Defined in src/battle-scene.ts:713

### addModifier

- addModifier(modifier, ignoreUpdate?, playSound?, virtual?, instant?): Promise<boolean>

- #### Parameters

  - modifier: Modifier
  - `Optional` ignoreUpdate: boolean
  - `Optional` playSound: boolean
  - `Optional` virtual: boolean
  - `Optional` instant: boolean

  #### Returns Promise<boolean>

  - Defined in src/battle-scene.ts:1929

### addMoney

- addMoney(amount): void

- #### Parameters

  - amount: number

  #### Returns void

  - Defined in src/battle-scene.ts:1915

### addPlayerPokemon

- addPlayerPokemon(species, level, abilityIndex, formIndex, gender?, shiny?, variant?, ivs?, nature?, dataSource?, postProcess?): PlayerPokemon

- #### Parameters

  - species: default
  - level: number
  - abilityIndex: number
  - formIndex: number
  - `Optional` gender: Gender
  - `Optional` shiny: boolean
  - `Optional` variant: Variant
  - `Optional` ivs: number[]
  - `Optional` nature: Nature
  - `Optional` dataSource: default | default
  - `Optional` postProcess: ((playerPokemon) => void)
    - - (playerPokemon): void

      - #### Parameters

        - playerPokemon: PlayerPokemon

        #### Returns void

  #### Returns PlayerPokemon

  - Defined in src/battle-scene.ts:727

### addPokemonIcon

- addPokemonIcon(pokemon, x, y, originX?, originY?, ignoreOverride?): Container

- #### Parameters

  - pokemon: default
  - x: number
  - y: number
  - originX: number = 0.5
  - originY: number = 0.5
  - ignoreOverride: boolean = false

  #### Returns Container

  - Defined in src/battle-scene.ts:764

### addPokemonSprite

- addPokemonSprite(pokemon, x, y, texture, frame?, hasShadow?, ignoreOverride?): Sprite

- #### Parameters

  - pokemon: default
  - x: number
  - y: number
  - texture: string | Texture
  - `Optional` frame: string | number
  - hasShadow: boolean = false
  - ignoreOverride: boolean = false

  #### Returns Sprite

  - Defined in src/battle-scene.ts:1322

### animateMoneyChanged

- animateMoneyChanged(positiveChange): void

- #### Parameters

  - positiveChange: boolean

  #### Returns void

  - Defined in src/battle-scene.ts:1394

### applyModifier

- applyModifier(modifierType, player?, ...args): PersistentModifier

- #### Parameters

  - modifierType: (new (...args) => Modifier )
    - - new (...args): Modifier

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns Modifier

  - player: boolean = true
  - `Rest` ...args: any[]

  #### Returns PersistentModifier

  - Defined in src/battle-scene.ts:2289

### applyModifiers

- applyModifiers(modifierType, player?, ...args): PersistentModifier []

- #### Parameters

  - modifierType: (new (...args) => Modifier )
    - - new (...args): Modifier

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns Modifier

  - player: boolean = true
  - `Rest` ...args: any[]

  #### Returns PersistentModifier []

  - Defined in src/battle-scene.ts:2272

### applyModifiersInternal

- applyModifiersInternal(modifiers, player, args): PersistentModifier []

- #### Parameters

  - modifiers: PersistentModifier []
  - player: boolean
  - args: any[]

  #### Returns PersistentModifier []

  - Defined in src/battle-scene.ts:2277

### applyShuffledModifiers

- applyShuffledModifiers(scene, modifierType, player?, ...args): PersistentModifier []

- #### Parameters

  - scene: default
  - modifierType: (new (...args) => Modifier )
    - - new (...args): Modifier

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns Modifier

  - player: boolean = true
  - `Rest` ...args: any[]

  #### Returns PersistentModifier []

  - Defined in src/battle-scene.ts:2257

### cachedFetch

- cachedFetch(url, init?): Promise<Response>

- #### Parameters

  - url: string
  - `Optional` init: RequestInit

  #### Returns Promise<Response>

  - Defined in src/battle-scene.ts:604

### clearEnemyHeldItemModifiers

- clearEnemyHeldItemModifiers(): void

- Removes all modifiers from enemy of PokemonHeldItemModifier type

  #### Returns void

  - Defined in src/battle-scene.ts:2173

### clearEnemyModifiers

- clearEnemyModifiers(): void

- Removes all modifiers from enemy of PersistentModifier type

  #### Returns void

  - Defined in src/battle-scene.ts:2162

### clearPhaseQueue

- clearPhaseQueue(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1819

### clearPhaseQueueSplice

- clearPhaseQueueSplice(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1827

### create

- create(): void

- #### Returns void

  - Defined in src/battle-scene.ts:287

### executeWithSeedOffset

- executeWithSeedOffset(func, offset, seedOverride?): void

- #### Parameters

  - func: Function
  - offset: number
  - `Optional` seedOverride: string

  #### Returns void

  - Defined in src/battle-scene.ts:1293

### fadeOutBgm

- fadeOutBgm(duration?, destroy?): boolean

- #### Parameters

  - duration: number = 500
  - destroy: boolean = true

  #### Returns boolean

  - Defined in src/battle-scene.ts:1620

### findModifier

- findModifier(modifierFilter, player?): PersistentModifier

- #### Parameters

  - modifierFilter: ModifierPredicate
  - player: boolean = true

  #### Returns PersistentModifier

  - Defined in src/battle-scene.ts:2253

### findModifiers

- findModifiers(modifierFilter, player?): PersistentModifier []

- #### Parameters

  - modifierFilter: ModifierPredicate
  - player: boolean = true

  #### Returns PersistentModifier []

  - Defined in src/battle-scene.ts:2249

### findPhase

- findPhase(phaseFilter): Phase

- #### Parameters

  - phaseFilter: ((phase) => boolean)
    - - (phase): boolean

      - #### Parameters

        - phase: Phase

        #### Returns boolean

  #### Returns Phase

  - Defined in src/battle-scene.ts:1865

### generateEnemyModifiers

- generateEnemyModifiers(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/battle-scene.ts:2108

### generateRandomBiome

- generateRandomBiome(waveIndex): Biome

- #### Parameters

  - waveIndex: number

  #### Returns Biome

  - Defined in src/battle-scene.ts:1509

### getBgmLoopPoint

- getBgmLoopPoint(bgmName): number

- #### Parameters

  - bgmName: string

  #### Returns number

  - Defined in src/battle-scene.ts:1673

### getCachedUrl

- getCachedUrl(url): string

- #### Parameters

  - url: string

  #### Returns string

  Inherited from SceneBase.getCachedUrl

  - Defined in src/scene-base.ts:8

### getCurrentPhase

- getCurrentPhase(): Phase

- #### Returns Phase

  - Defined in src/battle-scene.ts:1799

### getEncounterBossSegments

- getEncounterBossSegments(waveIndex, level, species?, forceBoss?): number

- #### Parameters

  - waveIndex: number
  - level: number
  - `Optional` species: default
  - forceBoss: boolean = false

  #### Returns number

  - Defined in src/battle-scene.ts:1227

### getEnemyField

- getEnemyField(): EnemyPokemon []

- #### Returns EnemyPokemon []

  - Defined in src/battle-scene.ts:696

### getEnemyParty

- getEnemyParty(): EnemyPokemon []

- #### Returns EnemyPokemon []

  - Defined in src/battle-scene.ts:688

### getEnemyPokemon

- getEnemyPokemon(): EnemyPokemon

- #### Returns EnemyPokemon

  - Defined in src/battle-scene.ts:692

### getField

- getField(activeOnly?): default []

- #### Parameters

  - activeOnly: boolean = false

  #### Returns default []

  - Defined in src/battle-scene.ts:701

### `Private` getGeneratedOffsetGym

- getGeneratedOffsetGym(): boolean

- #### Returns boolean

  - Defined in src/battle-scene.ts:1211

### `Private` getGeneratedWaveCycleOffset

- getGeneratedWaveCycleOffset(): number

- #### Returns number

  - Defined in src/battle-scene.ts:1219

### getInfoToggles

- getInfoToggles(activeOnly?): InfoToggle []

- #### Parameters

  - activeOnly: boolean = false

  #### Returns InfoToggle []

  - Defined in src/battle-scene.ts:718

### getMaxExpLevel

- getMaxExpLevel(ignoreLevelCap?): number

- #### Parameters

  - `Optional` ignoreLevelCap: boolean

  #### Returns number

  - Defined in src/battle-scene.ts:1484

### getModifiers

- getModifiers(modifierType, player?): PersistentModifier []

- #### Parameters

  - modifierType: (new (...args) => Modifier )
    - - new (...args): Modifier

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns Modifier

  - player: boolean = true

  #### Returns PersistentModifier []

  - Defined in src/battle-scene.ts:2245

### getParty

- getParty(): PlayerPokemon []

- #### Returns PlayerPokemon []

  - Defined in src/battle-scene.ts:675

### getPlayerField

- getPlayerField(): PlayerPokemon []

- #### Returns PlayerPokemon []

  - Defined in src/battle-scene.ts:683

### getPlayerPokemon

- getPlayerPokemon(): PlayerPokemon

- #### Returns PlayerPokemon

  - Defined in src/battle-scene.ts:679

### getPokemonById

- getPokemonById(pokemonId): default

- #### Parameters

  - pokemonId: number

  #### Returns default

  - Defined in src/battle-scene.ts:722

### getSpeciesFormIndex

- getSpeciesFormIndex(species, gender?, nature?, ignoreArena?): number

- #### Parameters

  - species: default
  - `Optional` gender: Gender
  - `Optional` nature: Nature
  - `Optional` ignoreArena: boolean

  #### Returns number

  - Defined in src/battle-scene.ts:1142

### getStandbyPhase

- getStandbyPhase(): Phase

- #### Returns Phase

  - Defined in src/battle-scene.ts:1803

### getWaveMoneyAmount

- getWaveMoneyAmount(moneyMultiplier): number

- #### Parameters

  - moneyMultiplier: number

  #### Returns number

  - Defined in src/battle-scene.ts:1922

### hasExpSprite

- hasExpSprite(key): boolean

- #### Parameters

  - key: string

  #### Returns boolean

  - Defined in src/battle-scene.ts:654

### hideEnemyModifierBar

- hideEnemyModifierBar(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1369

### hideFieldOverlay

- hideFieldOverlay(duration): Promise<void>

- #### Parameters

  - duration: number

  #### Returns Promise<void>

  - Defined in src/battle-scene.ts:1353

### hideLuckText

- hideLuckText(duration): void

- #### Parameters

  - duration: number

  #### Returns void

  - Defined in src/battle-scene.ts:1436

### initExpSprites

- initExpSprites(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/battle-scene.ts:563

### initPokemonSprite

- initPokemonSprite(sprite, pokemon?, hasShadow?, ignoreOverride?): Sprite

- #### Parameters

  - sprite: Sprite
  - `Optional` pokemon: default
  - hasShadow: boolean = false
  - ignoreOverride: boolean = false

  #### Returns Sprite

  - Defined in src/battle-scene.ts:1328

### initSession

- initSession(): void

- #### Returns void

  - Defined in src/battle-scene.ts:530

### initStarterColors

- initStarterColors(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/battle-scene.ts:615

### initVariantData

- initVariantData(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/battle-scene.ts:575

### isBgmPlaying

- isBgmPlaying(): boolean

- #### Returns boolean

  - Defined in src/battle-scene.ts:1533

### launchBattle

- launchBattle(): void

- #### Returns void

  - Defined in src/battle-scene.ts:313

### loadAtlas

- loadAtlas(key, folder, filenameRoot?): void

- #### Parameters

  - key: string
  - folder: string
  - `Optional` filenameRoot: string

  #### Returns void

  Inherited from SceneBase.loadAtlas

  - Defined in src/scene-base.ts:43

### loadBgm

- loadBgm(key, filename?): void

- #### Parameters

  - key: string
  - `Optional` filename: string

  #### Returns void

  Inherited from SceneBase.loadBgm

  - Defined in src/scene-base.ts:75

### loadImage

- loadImage(key, folder, filename?): void

- #### Parameters

  - key: string
  - folder: string
  - `Optional` filename: string

  #### Returns void

  Inherited from SceneBase.loadImage

  - Defined in src/scene-base.ts:19

### loadPokemonAtlas

- loadPokemonAtlas(key, atlasPath, experimental?): void

- #### Parameters

  - key: string
  - atlasPath: string
  - `Optional` experimental: boolean

  #### Returns void

  - Defined in src/battle-scene.ts:252

### loadSe

- loadSe(key, folder?, filenames?): void

- #### Parameters

  - key: string
  - `Optional` folder: string
  - `Optional` filenames: string | string[]

  #### Returns void

  Inherited from SceneBase.loadSe

  - Defined in src/scene-base.ts:58

### loadSpritesheet

- loadSpritesheet(key, folder, size, filename?): void

- #### Parameters

  - key: string
  - folder: string
  - size: number
  - `Optional` filename: string

  #### Returns void

  Inherited from SceneBase.loadSpritesheet

  - Defined in src/scene-base.ts:31

### moveBelowOverlay

- moveBelowOverlay< T >(gameObject): void

- #### Type Parameters

  - T extends GameObject

  #### Parameters

  - gameObject: T

  #### Returns void

  - Defined in src/battle-scene.ts:1334

### newArena

- newArena(biome): Arena

- #### Parameters

  - biome: Biome

  #### Returns Arena

  - Defined in src/battle-scene.ts:1099

### newBattle

- newBattle(waveIndex?, battleType?, trainerData?, double?): default

- #### Parameters

  - `Optional` waveIndex: number
  - `Optional` battleType: BattleType
  - `Optional` trainerData: default
  - `Optional` double: boolean

  #### Returns default

  - Defined in src/battle-scene.ts:951

### overridePhase

- overridePhase(phase): boolean

- #### Parameters

  - phase: Phase

  #### Returns boolean

  - Defined in src/battle-scene.ts:1853

### pauseBgm

- pauseBgm(): boolean

- #### Returns boolean

  - Defined in src/battle-scene.ts:1596

### playBgm

- playBgm(bgmName?, fadeOut?): void

- #### Parameters

  - `Optional` bgmName: string
  - `Optional` fadeOut: boolean

  #### Returns void

  - Defined in src/battle-scene.ts:1537

### playSound

- playSound(sound, config?): AnySound

- #### Parameters

  - sound: string | AnySound
  - `Optional` config: object

  #### Returns AnySound

  - Defined in src/battle-scene.ts:1633

### playSoundWithoutBgm

- playSoundWithoutBgm(soundName, pauseDuration?): AnySound

- #### Parameters

  - soundName: string
  - `Optional` pauseDuration: number

  #### Returns AnySound

  - Defined in src/battle-scene.ts:1656

### populatePhaseQueue

- populatePhaseQueue(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1907

### preload

- preload(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/battle-scene.ts:266

### processInfoButton

- processInfoButton(pressed): void

- #### Parameters

  - pressed: boolean

  #### Returns void

  - Defined in src/battle-scene.ts:1337

### pushMovePhase

- pushMovePhase(movePhase, priorityOverride?): void

- #### Parameters

  - movePhase: MovePhase
  - `Optional` priorityOverride: number

  #### Returns void

  - Defined in src/battle-scene.ts:1887

### pushPhase

- pushPhase(phase, defer?): void

- #### Parameters

  - phase: Phase
  - defer: boolean = false

  #### Returns void

  - Defined in src/battle-scene.ts:1807

### queueMessage

- queueMessage(message, callbackDelay?, prompt?, promptDelay?, defer?): void

- #### Parameters

  - message: string
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number
  - `Optional` defer: boolean

  #### Returns void

  - Defined in src/battle-scene.ts:1898

### randBattleSeedInt

- randBattleSeedInt(range, min?): number

- #### Parameters

  - range: number
  - min: number = 0

  #### Returns number

  - Defined in src/battle-scene.ts:847

### randomSpecies

- randomSpecies(waveIndex, level, fromArenaPool?, speciesFilter?, filterAllEvolutions?): default

- #### Parameters

  - waveIndex: number
  - level: number
  - `Optional` fromArenaPool: boolean
  - `Optional` speciesFilter: PokemonSpeciesFilter
  - `Optional` filterAllEvolutions: boolean

  #### Returns default

  - Defined in src/battle-scene.ts:1494

### removeModifier

- removeModifier(modifier, enemy?): boolean

- #### Parameters

  - modifier: PersistentModifier
  - `Optional` enemy: boolean

  #### Returns boolean

  - Defined in src/battle-scene.ts:2231

### removePartyMemberModifiers

- removePartyMemberModifiers(partyMemberIndex): Promise<void>

- #### Parameters

  - partyMemberIndex: number

  #### Returns Promise<void>

  - Defined in src/battle-scene.ts:2097

### reset

- reset(clearScene?, clearData?, reloadI18n?): void

- #### Parameters

  - clearScene: boolean = false
  - clearData: boolean = false
  - reloadI18n: boolean = false

  #### Returns void

  - Defined in src/battle-scene.ts:851

### resetSeed

- resetSeed(waveIndex?): void

- #### Parameters

  - `Optional` waveIndex: number

  #### Returns void

  - Defined in src/battle-scene.ts:1285

### resumeBgm

- resumeBgm(): boolean

- #### Returns boolean

  - Defined in src/battle-scene.ts:1604

### sendTextToBack

- sendTextToBack(): void

- Pushes all Phaser.GameObjects.Text objects in the top right to the bottom of the canvas

  #### Returns void

  - Defined in src/battle-scene.ts:1469

### setFieldScale

- setFieldScale(scale, instant?): Promise<void>

- #### Parameters

  - scale: number
  - instant: boolean = false

  #### Returns Promise<void>

  - Defined in src/battle-scene.ts:1118

### setModifiersVisible

- setModifiersVisible(visible): void

- #### Parameters

  - visible: boolean

  #### Returns void

  - Defined in src/battle-scene.ts:2181

### setPhaseQueueSplice

- setPhaseQueueSplice(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1823

### setSeed

- setSeed(seed): void

- #### Parameters

  - seed: string

  #### Returns void

  - Defined in src/battle-scene.ts:840

### shiftPhase

- shiftPhase(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1831

### showEnemyModifierBar

- showEnemyModifierBar(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1365

### showFieldOverlay

- showFieldOverlay(duration): Promise<void>

- #### Parameters

  - duration: number

  #### Returns Promise<void>

  - Defined in src/battle-scene.ts:1341

### toggleInvert

- toggleInvert(invert): void

- #### Parameters

  - invert: boolean

  #### Returns void

  - Defined in src/battle-scene.ts:1790

### triggerPokemonFormChange

- triggerPokemonFormChange(pokemon, formChangeTriggerType, delayed?, modal?): boolean

- #### Parameters

  - pokemon: default
  - formChangeTriggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  - delayed: boolean = false
  - modal: boolean = false

  #### Returns boolean

  - Defined in src/battle-scene.ts:2301

### tryRemovePhase

- tryRemovePhase(phaseFilter): boolean

- #### Parameters

  - phaseFilter: ((phase) => boolean)
    - - (phase): boolean

      - #### Parameters

        - phase: Phase

        #### Returns boolean

  - Defined in src/battle-scene.ts:1878

### tryReplacePhase

- tryReplacePhase(phaseFilter, phase): boolean

- #### Parameters

  - phaseFilter: ((phase) => boolean)
    - - (phase): boolean

      - #### Parameters

        - phase: Phase

        #### Returns boolean

  - phase: Phase

  #### Returns boolean

  - Defined in src/battle-scene.ts:1869

### trySpreadPokerus

- trySpreadPokerus(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1259

### tryTransferHeldItemModifier

- tryTransferHeldItemModifier(itemModifier, target, playSound, transferQuantity?, instant?, ignoreUpdate?): Promise<boolean>

- Try to transfer a held item to another pokemon. If the recepient already has the maximum amount allowed for this item, the transfer is cancelled. The quantity to transfer is automatically capped at how much the recepient can take before reaching the maximum stack size for the item. A transfer that moves a quantity smaller than what is specified in the transferQuantity parameter is still considered successful.

  #### Parameters

  - itemModifier: PokemonHeldItemModifier

    `PokemonHeldItemModifier` item to transfer (represents the whole stack)

  - target: default

    `Pokemon` pokemon recepient in this transfer

  - playSound: boolean

    {boolean}

  - transferQuantity: number = 1

    integer how many items of the stack to transfer. Optional, defaults to 1

  - `Optional` instant: boolean

    {boolean}

  - `Optional` ignoreUpdate: boolean

    {boolean}

  #### Returns Promise<boolean>

  true if the transfer was successful

  - Defined in src/battle-scene.ts:2045

### unshiftPhase

- unshiftPhase(phase): void

- #### Parameters

  - phase: Phase

  #### Returns void

  - Defined in src/battle-scene.ts:1811

### update

- update(): void

- This method should be overridden by your own Scenes.

  This method is called once per game step while the scene is running.

  #### Returns void

  Overrides SceneBase.update

  - Defined in src/battle-scene.ts:308

### updateAndShowText

- updateAndShowText(duration): void

- #### Parameters

  - duration: number

  #### Returns void

  - Defined in src/battle-scene.ts:1415

### updateBiomeWaveText

- updateBiomeWaveText(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1373

### updateFieldScale

- updateFieldScale(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/battle-scene.ts:1108

### updateGameInfo

- updateGameInfo(): void

- #### Returns void

  - Defined in src/battle-scene.ts:2356

### updateModifiers

- updateModifiers(player?, instant?): Promise<void>

- #### Parameters

  - `Optional` player: boolean
  - `Optional` instant: boolean

  #### Returns Promise<void>

  - Defined in src/battle-scene.ts:2185

### updateMoneyText

- updateMoneyText(forceVisible?): void

- #### Parameters

  - forceVisible: boolean = true

  #### Returns void

  - Defined in src/battle-scene.ts:1382

### updatePartyForModifiers

- updatePartyForModifiers(party, instant?): Promise<void>

- #### Parameters

  - party: default []
  - `Optional` instant: boolean

  #### Returns Promise<void>

  - Defined in src/battle-scene.ts:2220

### updateScoreText

- updateScoreText(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1410

### updateSoundVolume

- updateSoundVolume(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1612

### updateUIPositions

- updateUIPositions(): void

- #### Returns void

  - Defined in src/battle-scene.ts:1451

### validateAchv

- validateAchv(achv, args?): boolean

- #### Parameters

  - achv: Achv
  - `Optional` args: any[]

  #### Returns boolean

  - Defined in src/battle-scene.ts:2332

### validateAchvs

- validateAchvs(achvType, ...args): void

- #### Parameters

  - achvType: (new (...args) => Achv )
    - - new (...args): Achv

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns Achv

  - `Rest` ...args: any[]

  #### Returns void

  - Defined in src/battle-scene.ts:2325

### validateVoucher

- validateVoucher(voucher, args?): boolean

- #### Parameters

  - voucher: Voucher
  - `Optional` args: any[]

  #### Returns boolean

  - Defined in src/battle-scene.ts:2345